Page MenuHomePhabricator

RFC: Extensions continuous integration
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Requests_for_comment/Extensions_continuous_integration

Fix CI testing which was broken by the mediawiki/vendor.git change.

Details

Related Gerrit Patches:
integration/config : masterTest/Gate some extensions together

Event Timeline

tstarling raised the priority of this task from to Needs Triage.
tstarling updated the task description. (Show Details)
tstarling added projects: TechCom, TechCom-RFC.
tstarling changed Security from none to None.
tstarling added a subscriber: tstarling.

ArchCom: triaged, meeting scheduled.

tstarling renamed this task from Extensions continuous integration to RFC: Extensions continuous integration.Nov 20 2014, 6:34 AM

@tstarling when is this RFC scheduled for discussion? I could not find the timeline for RFC meetings :-\

bd808 added a subscriber: bd808.Nov 24 2014, 10:18 PM

The meeting is on Wednesday November 26, 21:00 UTC

scfc added a subscriber: scfc.Nov 26 2014, 3:51 AM

The RFC has been approved during the meeting. A firm request was to make sure the test would not take an insanely long time as to not annoy developers during SWAT deploys.

The job I crafted only run the extensions testsuite (aka skips mediawiki/core tests entirely).

Most of the implementation is completed now and I will add the job as an experiment using the Mobile team extensions then extends the system to the Language team extensions.

Change 180494 had a related patch set uploaded (by Hashar):
Test/Gate some extensions together

https://gerrit.wikimedia.org/r/180494

Patch-For-Review

Change 180494 merged by jenkins-bot:
Test/Gate some extensions together

https://gerrit.wikimedia.org/r/180494

I have enabled the change for core + mobile extensions and announced it on wikitech-l https://lists.wikimedia.org/pipermail/wikitech-l/2015-January/080065.html

Still have to tests more extensions and add a system that let people tests their extension with the others.

More extensions are being added. We still have to migrate the qunit jobs to be shared as well.

daniel moved this task from Inbox to Approved on the TechCom-RFC board.Feb 27 2015, 11:45 PM
daniel moved this task from Approved to Implemented on the TechCom-RFC board.
Krinkle triaged this task as Medium priority.Apr 7 2015, 2:35 PM
Krinkle removed a project: Patch-For-Review.
Krinkle moved this task from Untriaged to Backlog on the Continuous-Integration-Infrastructure board.
Krinkle closed this task as Resolved.Nov 4 2017, 12:28 AM
Krinkle claimed this task.
Krinkle moved this task from Untriaged to Implemented on the TechCom-RFC (TechCom-Approved) board.